aboutsummaryrefslogtreecommitdiffstats
path: root/alpine.sh
diff options
context:
space:
mode:
Diffstat (limited to 'alpine.sh')
-rwxr-xr-xalpine.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/alpine.sh b/alpine.sh
new file mode 100755
index 0000000..cdc4976
--- /dev/null
+++ b/alpine.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env sh
+
+set -e
+#set -x
+
+NAME=$1
+DIST=alpine
+RELEASE=edge
+ARCH=amd64
+PACKAGES="pcre ca-certificates openssl-dev ncurses-dev zlib-dev \
+ openssh bash curl zsh vim sudo erlang git build-base autoconf gawk"
+
+for f in ci.d/*; do source "$f"; done
+
+buildkite_stop $DIST
+lxc_destroy
+lxc_create $DIST $RELEASE $ARCH
+lxc_wait_for_ip
+apk_upgrade
+apk_install $PACKAGES
+buildkite_install $DIST $BUILDKITE_TOKEN
+ssh_copy_host_key
+lxc_restart